wxHtmlLinkEvent(3)

NAME
wxHtmlLinkEvent - This event class is used for the events generated by wxHtmlWindow.

DESCRIPTION

This class is derived, and can use functions, from:

    • wxCommandEvent

    • wxEvent

wxWidgets docs: wxHtmlLinkEvent

  Events

Use wxEvtHandler:connect/3 with wxHtmlLinkEventType to subscribe to events of this type.

DATA TYPES

wxHtmlLink() :: #wxHtmlLink{}.
wxHtmlLinkEvent() :: wx:wx_object().
wxHtmlLinkEventType() :: command_html_link_clicked | html_cell_clicked | html_cell_hover.

FUNCTIONS

getLinkInfo(This) -> wx:wx_wxHtmlLinkInfo() when This :: wxHtmlLinkEvent().

    Returns the wx_wxHtmlLinkInfo() which contains info about the cell clicked and the hyperlink it contains.